@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,700;1,400&display=swap');


body {
  font-family: 'Poppins', sans-serif;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  font-size: 12px;
  min-height: 100vh;
}

* {
  box-sizing: border-box;
}

.a {}

.bwfContentWrap {
	display: grid;
}

.bwfInp {
  position: relative;
  margin: auto;
  width: 280px;
  border-radius: 3px;
  overflow: hidden;
  display: flex;
}
.bwfInp .label {
  position: absolute;
  top: 20px;
  left: 12px;
  color: rgba(0, 0, 0, 0.5);
  font-weight: 500;
  transform-origin: 0 0;
  transform: translate3d(0, 0, 0);
  transition: all 0.2s ease;
  pointer-events: none;
}
.bwfInp .focus-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.05);
  z-index: -1;
  transform: scaleX(0);
  transform-origin: left;
}
.bwfInp input, .bwfInp select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  border: 0;
  font-family: inherit;
  padding: 12px 10px 0 10px;
  height: 56px;
  font-weight: 400;
  background: rgba(0, 0, 0, 0.02);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.3);
  color: #000;
  transition: all 0.15s ease;
}

.bwfInp input:hover, .bwfInp select:hover {
  background: rgba(0, 0, 0, 0.04);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.5);
}
.bwfInp input:not(:-moz-placeholder-shown) + .label, .bwfInp select:not([data-value=""]) + .label {
  color: rgba(0, 0, 0, 0.5);
  transform: translate3d(0, -12px, 0) scale(0.75);
}
.bwfInp input:not(:-ms-input-placeholder) + .label, .bwfInp select:not([data-value=""]) + .label {
  color: rgba(0, 0, 0, 0.5);
  transform: translate3d(0, -12px, 0) scale(0.75);
}
.bwfInp input:not(:placeholder-shown) + .label, .bwfInp select:not([data-value=""]) + .label {
  color: rgba(0, 0, 0, 0.5);
  transform: translate3d(0, -12px, 0) scale(0.75);
}
.bwfInp input:focus, .bwfInp select:focus {
  background: rgba(0, 0, 0, 0.05);
  outline: none;
  box-shadow: inset 0 -2px 0 #A82EA0;
}
.bwfInp input:focus + .label, .bwfInp select:focus + .label {
  color: #A82EA0;
  transform: translate3d(0, -12px, 0) scale(0.75);
}
.bwfInp input:focus + .label + .focus-bg, .bwfInp select:focus + .label + .focus-bg {
  transform: scaleX(1);
  transition: all 0.1s ease;
}

/* ----- */

div.bwfBut{
	cursor: pointer;
	display:inline-block;
	padding:2px;
	width: 70px;
	border: 1px solid #000;
	border-radius: 3px;
	box-sizing: border-box;
	text-decoration:none;
	color:#000;
	text-align:center;
	transition: all 0.3s;
}
div.bwfBut:hover{
	color:#fafafa;
	background-color:#000;
}

.bwfButBig {
	padding:8px !important;
	width: 100px !important;
}

@media all and (max-width:30em){
	div.bwfBut{
	}
}

/* ----- */

.bwfRadio {
	line-height: 1.1;
    display: grid;
    grid-template-columns: 1em auto;
    gap: 0.5em;
    height: 56px;
    font-weight: 400;
    background: rgba(0, 0, 0, 0.02);
    align-content: center;
    padding: 10px;
	border-radius: 3px;
	box-sizing: border-box;
	text-decoration:none;
}

.bwfRadio > div {
	width: 100%;
    display: contents;
}

/* ----- */

input[type=radio] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  -moz-appearance: none;
       appearance: none;
  margin: 0;
  font: inherit;
  color: #ffff;
  width: 1.15em;
  height: 1.15em;
  border: 0.15em solid #000;
  border-radius: 50%;
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
}

input[type=radio]::before {
	box-shadow: inset 1em 1em #a82ea0;
    transform: scale(1);
    content: "";
}

input[type=radio]:checked::before {
    width: 0.7em;
    height: 0.7em;
    border-radius: 50%;
    transition: .2s transform ease-in-out;
}

input[type=radio]:checked {
	box-shadow: inset 1em 1em #fff;
}


/* ----- */


.bwfPad {
	padding: 10px;
}

.bwfMR {
	margin-right: 10px;
}

.bwfModal {
	display: grid;
    position: fixed;
    top: 0px;
    left: 0px;
    background: rgba(0, 0, 0, .7);
    width: 100%;
    height: 100%;
}

.bwfModal > div {
	margin: auto;
    background: #fafafa;
    border: 1px solid #fafafa;
    border-radius: 3px;
    max-width: 400px;
}

.bwfModal > div > div:first-child {
    min-width: 300px;
	padding: 5px;
    background-color: #A82EA0;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    color: #fafafa;
    font-weight: bold;
}

.bwfModal > div > div:last-child {
}
